#include <cstdlib>
#include <iostream>
#include <sdpsl.h>

using namespace std;
using namespace sdp;

int main(int argc, char **argv)
{
  int max;

  if (argc <= 1 || (max = atoi(argv[1])) < 0) {
    cerr << "Usage: " << argv[0] << " <maximum progress value>" << endl;
    exit(-1);
  }

  ProgressBar bar("Counting", 40, max);

  bar.start();

  for (int i = 0; i < max; i++)
    ++bar;

  bar.finish();

  return 0;  
}
