"""
A wrapper for SDPSL.

AUTHOR:

- Fernando M. de Oliveira Filho <fmario AT gmail.com>
"""

# Copyright (c) 2014 Fernando M. de Oliveira Filho
# <http://www.ime.usp.br/~fmario>
# 
# This file is part of SDPSL.
# 
# SDPSL is free software: you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free
# Software Foundation, either version 3 of the License, or (at your
# option) any later version.
# 
# SDPSL is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
# 
# You should have received a copy of the GNU General Public License
# along with SDPSL.  If not, see <http://www.gnu.org/licenses/>.

from sage.sdpsl.sdpsl import sdpsl_set_gmp_prec, sdpsl_set_output_eps, sdpsl_set_tolerance_eps
from sage.sdpsl.sdpsl import SDPVariable
from sage.sdpsl.sdpsl import SDPMatrix, SDPPolyMatrix, SDPMatrixMask
from sage.sdpsl.sdpsl import SDPLinearCombination, SDPLinearConstraint
from sage.sdpsl.sdpsl import SDPPolynomialCombination, SDPPolynomialConstraint
from sage.sdpsl.sdpsl import SDPSparseMonomialBasis, SDPSparseBasisChanger
from sage.sdpsl.sdpsl import SDPConstraintContainer
from sage.sdpsl.sdpsl import SDPProblem
from sage.sdpsl.sdpsl import SDPSolution
from sage.sdpsl.sdpsl import read_csdp_solution, CSDPResult, CSDPSolver
from sage.sdpsl.sdpsl import feasibility_measures, sdpsl_double_eigs, project_solution

sdpsl_set_gmp_prec(53)
