#include <iostream>
#include <sdpsl.h>

using namespace std;
using namespace sdp;

int main()
{
  SDPEnvironment def;
  SDPEnvironment custom(1e-5, 1e-7);

  cout << def.output_eps() << endl;
  cout << custom.output_eps() << endl;

  SDPEnvironment::set_output_eps(1e-10);

  cout << def.output_eps() << endl;
  cout << custom.output_eps() << endl;

  return 0;
}

/* 
   Output of the program:

   1e-15
   1e-5
   1e-10
   1e-5
*/
