  /* We create a basis of Laguerre polynomials */
  vector<Polynomial> laguerre_basis;
  compute_laguerre_polys(deg, x, 0, laguerre_basis);

  /* And we use it to add the polynomial constraint */
  SDPPolynomialConstraint C = R * X + Matrix<Polynomial>(1, 1, 1) * s
    + Matrix<Polynomial>(1, 1, -1) * t == p;

  SparseBasisChanger sc(SparseMonomialBasis(C), laguerre_basis);

  SDPConstraintContainer cc;
  cc.add_constraint(C, sc);
